# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/00_core.constants.ipynb (unless otherwise specified).

__all__ = ['BASE_URL', 'RELEASES_URL', 'MASTERS_URL', 'ARTIST_URL', 'LABEL_URL', 'CurrAbbr', 'SortOptionsMaster',
           'SortOptionsArtist', 'SortOptionsLabel', 'SortOrder']

# Cell
from enum import Enum

# Cell


BASE_URL = "https://api.discogs.com"
RELEASES_URL = f"{BASE_URL}/releases"
MASTERS_URL = f"{BASE_URL}/masters"
ARTIST_URL = f"{BASE_URL}/artists"
LABEL_URL = f"{BASE_URL}/labels"

# Cell


class CurrAbbr(Enum):
    """
    Valid currencies for marketplace data
    """

    USD = 0
    GBP = 1
    EUR = 2
    CAD = 3
    AUD = 4
    JPY = 5
    CHF = 6
    MXN = 7
    BRL = 8
    NZD = 9
    SEK = 10
    ZAR = 11


# Cell


class SortOptionsMaster(Enum):
    """
    Valid sort options for master releases.
    """

    released = 0
    title = 1
    format = 2
    label = 3
    catno = 4
    country = 5


class SortOptionsArtist(Enum):
    """
    Valid sort options for artist releases.
    """

    year = 0
    title = 1
    format = 2


class SortOptionsLabel(Enum):
    """
    Valid sort options for label releases.
    """

    year = 0
    title = 1
    format = 2


# Cell


class SortOrder(Enum):
    """
    Valid sort order options.
    """

    asc = 0
    desc = 1
